# Uses of Class
java.lang.invoke.VarHandle.VarHandleDesc

Packages that use VarHandle.VarHandleDesc
Package
Description
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.

## Uses of VarHandle.VarHandleDesc in java.lang.invoke

Methods in java.lang.invoke that return VarHandle.VarHandleDesc
Modifier and Type
Method
Description
`static VarHandle.VarHandleDesc`
VarHandle.VarHandleDesc.`ofArray(ClassDesc arrayClass)`
Returns a VarHandle.VarHandleDesc corresponding to a `VarHandle` for an array type.
`static VarHandle.VarHandleDesc`
VarHandle.VarHandleDesc.`ofField(ClassDesc declaringClass, String name, ClassDesc fieldType)`
Returns a VarHandle.VarHandleDesc corresponding to a `VarHandle` for an instance field.
`static VarHandle.VarHandleDesc`
VarHandle.VarHandleDesc.`ofStaticField(ClassDesc declaringClass, String name, ClassDesc fieldType)`
Returns a VarHandle.VarHandleDesc corresponding to a `VarHandle` for a static field.
Methods in java.lang.invoke that return types with arguments of type VarHandle.VarHandleDesc
Modifier and Type
Method
Description
`Optional<VarHandle.VarHandleDesc>`
VarHandle.`describeConstable()`
Return a nominal descriptor for this instance, if one can be constructed, or an empty `Optional` if one cannot be.